# Issues  
There are three types of issues: Bugs, Questions and Enhancements. For all issues, make sure you aren't posting a duplicate.  
## Bugs  
Bugs are things that are supposed to work but don't.   
Some examples include:
* An error or exception
* A flaw in a security feature
* Encoded messages not decoding properly

Non examples include:
* A security issue not yet advertised (such as adding RSA encrytion)
* Adding something new, instead of fixing something old
* Asking a question about something you don't get

If you find a bug, label it with the "bugs" tag, as well as the "security" tag if the bug relates to security. Then, be sure to label it based on the bug report template.
## Questions
Questions are things that you are unsure about. When in doubt, mark it as a question, though be sure to always answer it yourself before posting. Be sure to format the enhancement as dictated in the feature request template.
## Enhancements
Enhancements are things you want to improve. Be sure to label it based on what type of enhancement it is:  
Security: This is an improvement to security you would like to see, such as RSA encryption.  
QOL: This is an improvement to quality of life you would like to see, such as more lanugages as codes. If in doubt, mark it as QOL.  
Documentation: This is an improvement to documentation you would like to see.  
Be sure to format the enhancement as dictated in the feature request template.
# Pull Requests
Pull requests are when you want to change the code yourself. Please link to any relavent issues by clicking on the gear next to "linked issues". 
Additionally, add this to the milestone the issues are linked to, and label it based on what you are trying to solve (Bug or Enhancement and what type if necessary).
They should be formatted as dictated in the pull request template.
